> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noisemaker.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate a draft comment for a reddit recommendation



## OpenAPI

````yaml /openapi.json post /api/v1/workspaces/{workspace}/recs/{id}/draft
openapi: 3.0.3
info:
  title: ai-cmo.dev Services API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/workspaces/{workspace}/recs/{id}/draft:
    post:
      summary: Generate a draft comment for a reddit recommendation
      operationId: draftComment
      parameters:
        - name: workspace
          in: path
          required: true
          schema:
            type: string
            pattern: ^[a-z0-9-]+$
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DraftCommentOutput'
      security:
        - cookieAuth: []
        - bearerAuth:
            - recs:write
components:
  schemas:
    DraftCommentOutput:
      type: object
      properties:
        draft:
          type: string
      required:
        - draft
      additionalProperties: false
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: geo.session
      description: Signed HttpOnly browser session cookie
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: gp_live_<43 base64url characters>
      description: Workspace-bound machine API key

````